%define beta	3
%define rel	2

Name:           krusader
Version:        2.4.0
%if %beta
Release:	%mkrel 0.beta%beta.%rel
%else
Release:        %mkrel %rel
%endif
Epoch:          3
Summary:        Advanced KDE twin-panel file-manager
License:        GPLv2+
Group:          File tools
URL:            http://krusader.org/
%if %beta
Source0:        http://downloads.sourceforge.net/krusader/%{name}-%{version}-beta%beta.tar.bz2
%else
Source0:	http://downloads.sourceforge.net/krusader/%{name}-%{version}.tar.gz
%endif

# Fedora patches
Patch101:	krusader-2.3.0-beta1-default-mimetypes.patch
Patch102:	krusader-2.4.0-beta2-generate-manpage.patch
Patch103:	krusader-2.4.0-beta3-kde#309159.patch

BuildRequires:  kdelibs4-devel
Obsoletes:      kde3-krusader < 2:1.02-4

Requires:	kdebase4-runtime
Requires:	katepart

Suggests:	zip
Suggests:	unzip
Suggests:	p7zip
Suggests:	kdiff3
Suggests:	krename

%description
Krusader is an advanced twin panel (commander style) file manager
for KDE and other desktops in the *nix world, similar to Midnight or
Total Commander. It provides all the file management features you
could possibly want.

Plus: extensive archive handling, mounted filesystem support, FTP,
advanced search module, an internal viewer/editor, directory
synchronisation, file content comparisons, powerful batch renaming
and much much more. It supports a wide variety of archive formats
and can handle other KIO slaves such as smb or fish.

%files -f krusader.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO COPYING krusader.lsm
%{_kde_bindir}/krusader
%{_kde_datadir}/applications/kde4/krusader*.desktop
%{_kde_datadir}/apps/krusader
%{_kde_datadir}/kde4/services/*.protocol
%{_kde_datadir}/config/kio_isorc
%{_kde_iconsdir}/hicolor/*/apps/krusader*.png
%{_kde_iconsdir}/locolor/*/apps/krusader*.png
%{_kde_libdir}/kde4/*.so
%{_kde_mandir}/man1/krusader.1*

#--------------------------------------------------------------------

%prep
%if %beta
%setup -q -n %name-%version-beta%beta
%else
%setup -q
%endif

%apply_patches

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -Cbuild

%find_lang krusader --with-html

%clean
rm -rf %{buildroot}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3:2.4.0-0.beta3.2.mga3
+ Revision: 356470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 3:2.4.0-0.beta3.1.mga3
+ Revision: 343624
- new beta version 2.4.0-beta3 (stable 2.0.0 is over 3 years old,
  needs several patches to build on current toolchain, and does
  not build with current KDE, and other distros have also moved on)
- drop all patches, fixed upstream
- add patches from Fedora:
  o several krarc mimetype fixes (default-mimetypes.patch)
  o generate manpage (generate-manpage.patch)
  o fix a crash issue related to video preview (kde#309159.patch)

* Tue Apr 03 2012 anssi <anssi> 3:2.0.0-7.mga2
+ Revision: 228212
- require katepart, needed for the internal editor (reported by ryoshu)

* Tue Dec 06 2011 anssi <anssi> 3:2.0.0-6.mga2
+ Revision: 177266
- fix krusader to properly find kdesu (use-kstandarddirs-findexe.patch,
  submitted upstream)
- fix build with gcc 4.6 (gcc46.patch)
- fix linking (link against -lsolid, link-solid.patch)
- add runtime dependency on kdebase4-runtime and optional dependencies
  on zip, unzip, p7zip, kdiff3, krename (bug #3601)

* Tue Apr 19 2011 ahmad <ahmad> 3:2.0.0-5.mga1
+ Revision: 88111
- Add a patch to fix how kdesu is invoked (it needs -c to execute a command as
  one string), upstream bug https://bugs.kde.org/show_bug.cgi?id=271264

* Thu Apr 07 2011 obgr_seneca <obgr_seneca> 3:2.0.0-4.mga1
+ Revision: 81911
- cleaned up spec file
- removed buildroot tag

  + anssi <anssi>
    - remove old scripts
    - imported package krusader

